<!DOCTYPE hibernate-configuration PUBLIC
     "-//Hibernate/Hibernate Configuration DTD//EN"
    "http://hibernate.sourceforge.net/hibernate-configuration-2.0.dtd">

<hibernate-configuration>
    <session-factory>
        <property name="show_sql">true</property>
        <property name="dialect">net.sf.hibernate.dialect.MySQLDialect</property>
        <property name="jdbc.fetch_size">20</property>
        <property name="jdbc.batch_size">30</property>
        <property name="connection.provider_class">net.sf.hibernate.connection.DatasourceConnectionProvider</property>
        <property name="connection.datasource">java:comp/env/jdbc/keyshop</property>
        <mapping resource="schema/user.hbm.xml"/>
        <mapping resource="schema/product.hbm.xml"/>
        <mapping resource="schema/order.hbm.xml"/>
        <mapping resource="schema/channel.hbm.xml"/>
        <mapping resource="schema/pub.hbm.xml"/>
        <mapping resource="schema/content.hbm.xml"/>
        <mapping resource="schema/system.hbm.xml"/>
    </session-factory>
</hibernate-configuration>
